Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.compress.archivers.jar
Class JarArchiveInputStream

    java.lang.Object
      java.io.InputStream
          org.apache.commons.compress.archivers.ArchiveInputStream
              org.apache.commons.compress.archivers.zip.ZipArchiveInputStream
                  org.apache.commons.compress.archivers.jar.JarArchiveInputStream

All Implemented Interfaces:
  Closeable

    public class JarArchiveInputStream

extends ZipArchiveInputStream

Implements an input stream that can read entries from jar files.

This class is not thread-safe

Constructor Summary
`JarArchiveInputStream(InputStream inputStream)`

Method Summary
`ArchiveEntry` | `getNextEntry()` Returns the next Archive Entry in this Stream.
`JarArchiveEntry` | `getNextJarEntry()`
`static boolean` | `matches(byte[] signature, int length)` Checks if the signature matches what is expected for a jar file (in this case it is the same as for a zip file).

Methods inherited from class org.apache.commons.compress.archivers.zip.ZipArchiveInputStream
`canReadEntryData, close, getNextZipEntry, read, skip`

Methods inherited from class org.apache.commons.compress.archivers.ArchiveInputStream
`count, count, getBytesRead, getCount, pushedBackBytes, read`

Methods inherited from class java.io.InputStream
`available, mark, markSupported, read, reset`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JarArchiveInputStream

    public JarArchiveInputStream(InputStream inputStream)

Method Detail

### getNextJarEntry

    public JarArchiveEntry getNextJarEntry()
                                    throws IOException

  Throws:
    `IOException`

### getNextEntry

    public ArchiveEntry getNextEntry()
                              throws IOException

  Description copied from class: `ZipArchiveInputStream`
  Returns the next Archive Entry in this Stream.

  Overrides:
    `getNextEntry` in class `ZipArchiveInputStream`
  Returns:
    the next entry, or `null` if there are no more entries
  Throws:
    `IOException` - if the next entry could not be read

### matches

    public static boolean matches(byte[] signature,
                                  int length)

  Checks if the signature matches what is expected for a jar file (in this case it is the same as for a zip file).

  Parameters:
    `signature` - the bytes to check
    `length` - the number of bytes to check
  Returns:
    true, if this stream is a jar archive stream, false otherwise

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 The Apache Software Foundation. All Rights Reserved.